=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-prison-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-grantleetheme-dev,
               kpim6-kmime-dev,
               kpim6-libkleo-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-base-doc,
               reuse,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-contacts.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-contacts
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-contacts
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6akonadicontact6abi1
Replaces: akonadi-contacts-data,
          libkf5akonadicontact-data,
          libkf5akonadicontact5,
          libkf5akonadicontact5abi1,
          libkf5contacteditor-data,
          libkf5contacteditor5,
          libkpim5akonadicontact-data,
          libkpim5akonadicontact-plugins,
          libkpim5akonadicontact5,
          libkpim5akonadicontact5abi1,
          libkpim5contacteditor-data,
          libkpim5contacteditor5
Breaks: libkpim5akonadicontact-data (<< 4:24.08.2)
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: kpim6-akonadi-contacts-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcolorscheme-dev,
         kf6-kcontacts-dev,
         kf6-ktexttemplate-dev,
         kpim6-akonadi-contacts (= ${binary:Version}),
         kpim6-akonadi-dev,
         kpim6-grantleetheme-dev,
         ${misc:Depends}
Replaces: libkf5akonadicontact-dev,
          libkf5contacteditor-dev,
          libkpim5akonadicontact-dev,
          libkpim5contacteditor-dev
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: akonadi-contacts-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-plugins
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact5abi1
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact5abi1
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
