=== debian/changelog ===
akonadi-contacts (4:25.08.1+p24.04+vstable+git20250914.1704-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:04:18 +0000
