## akonadi-contacts 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,9 +67,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(GRANTLEETHEME_LIB_VERSION "6.5.1")
+set(KMIMELIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
+set(GRANTLEETHEME_LIB_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")
