## akonadi-contacts 25.08.2+p24.04+vstable+git20251015.1828

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251015.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:28:53 +0000

akonadi-contacts (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 09:11:46 +0000
