## akonadi-contacts 25.08.2+p24.04+vstable+git20251019.0637

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251019.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:37:24 +0000
