## akonadi-contacts 25.08.2+p24.04+vstable+git20251023.0025

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251023.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:25:17 +0000
