## akonadi-contacts 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -67,9 +67,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(GRANTLEETHEME_LIB_VERSION "6.5.2")
+set(KMIMELIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
+set(GRANTLEETHEME_LIB_VERSION "6.5.3")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")
