=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact6\")
add_subdirectory(akonadi-contacts-core)
add_subdirectory(akonadi-contacts-widgets)
