## akonadi-contacts 25.08.3+p24.04+vunstable+git20251208.0345

=== debian/changelog ===
akonadi-contacts (4:25.08.3+p24.04+vunstable+git20251208.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:45:34 +0000

akonadi-contacts (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:45 +1000
